Bug 461105 - Review Request: labrea - A sticky honeypot
Review Request: labrea - A sticky honeypot
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-04 04:50 EDT by Huzaifa S. Sidhpurwala
Modified: 2008-09-15 22:52 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-15 22:51:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2008-09-04 04:50:57 EDT
Spec URL: http://huzaifas.fedorapeople.org/spec/labrea.spec
SRPM URL: http://huzaifas.fedorapeople.org/srpms/labrea-2.5.1-0.fc10.src.rpm
Description: 
Intrusion detection "sticky" honey pot technology using virtual 
servers to detect and trap worms, hackers, and other malware. 

Builds:
dist-f9: http://koji.fedoraproject.org/koji/taskinfo?taskID=805862
dist-f10: http://koji.fedoraproject.org/koji/taskinfo?taskID=805871
Comment 1 Parag AN(पराग) 2008-09-04 05:03:49 EDT
Use prefixes in %configure and make install instead %makeinstall
Comment 2 Huzaifa S. Sidhpurwala 2008-09-04 05:22:21 EDT
fixed.
SPEC: http://huzaifas.fedorapeople.org/spec/labrea.spec
SRPM URL: http://huzaifas.fedorapeople.org/srpms/labrea-2.5.1-1.fc10.src.rpm

[huzaifas@localhost SPECS]$ rpmlint ../SRPMS/labrea-2.5.1-1.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 3 Parag AN(पराग) 2008-09-04 05:49:59 EDT
suggestions->
    1)you should drop options to %configure
    2)make install should be
    make install DESTDIR=%{buildroot} INSTALL="install -p"
    3)Drop INSTALL file from %docs
    4)macro usage should be unique
    either use $RPM_BUILD_ROOT or %{buildroot}
    5)buildroot tag should be
    %{_tmppath}/%{name}-%{version}-%{release}-root

    Submit new SRPM after fixing above issues and bump release
Comment 4 Huzaifa S. Sidhpurwala 2008-09-04 06:09:21 EDT
SPEC: http://huzaifas.fedorapeople.org/spec/labrea.spec
SRPM: http://huzaifas.fedorapeople.org/srpms/labrea-2.5.1-2.fc10.src.rpm

3)Drop INSTALL file from %docs
This has not been done , because the INSTALL file contains instructions on how to use the app :)
Comment 5 Parag AN(पराग) 2008-09-04 07:05:58 EDT
+ is OK
- is NEEDs WORK

Review:
+ package builds in mock (rawhide i386).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=806045

- rpmlint is silent for SRPM. But NOT for RPM.
labrea.i386: W: non-conffile-in-etc /etc/labrea.conf
==> use following in SPEC
%config(noreplace) %{_sysconfdir}/labrea.conf

+ source files match upstream.
e76d506e82b60cc5477ccee1b3368cda  labrea-2.5-stable-1.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.

Don't forget to fix conffile rpmlint message before import.

APPROVED.
Comment 6 Huzaifa S. Sidhpurwala 2008-09-05 00:51:58 EDT
New Package CVS Request
=======================
Package Name: labrea
Short Description: A sticky honeypot
Owners: huzaifas
Branches: F-8 F-9
Comment 7 Kevin Fenzi 2008-09-05 12:52:44 EDT
cvs done.
Comment 8 Parag AN(पराग) 2008-09-15 22:05:19 EDT
ping?
is this built already? If yes then you can CLOSE this review bug.
Comment 9 Huzaifa S. Sidhpurwala 2008-09-15 22:52:14 EDT
sorry for keeping it open, closing it now.

Note You need to log in before you can comment on or make changes to this bug.